---
## activation des stats dans jitsi

- name: configuration du videobridge pour activer les stats
  lineinfile:
    path: "/etc/jitsi/videobridge/sip-communicator.properties"
    regexp: "^org.jitsi.videobridge.ENABLE_STATISTICS"
    line: "org.jitsi.videobridge.ENABLE_STATISTICS=true"

- name: configuration du videobridge pour transporter les stats via colibri REST api
  lineinfile:
    path: "/etc/jitsi/videobridge/sip-communicator.properties"
    regexp: "^org.jitsi.videobridge.STATISTICS_TRANSPORT"
    line: "org.jitsi.videobridge.STATISTICS_TRANSPORT=muc,colibri"

- name: bloque l'accès à l'api colibri depuis l'extérieur
  lineinfile:
    path: "/etc/jitsi/videobridge/sip-communicator.properties"
    regexp: "^org.jitsi.videobridge.rest.private.jetty.host"
    line: "org.jitsi.videobridge.rest.private.jetty.host=localhost"

- name: ajoute l'api REST à la config de démarrage du videobridge
  lineinfile:
    path: "/etc/jitsi/videobridge/config"
    regexp: "^JVB_OPTS="
    line: 'JVB_OPTS=" --apis=rest "'

## Instalation de Telegraf
- name: Ajout de la clé du depot Telegraf
  apt_key:
    url: https://repos.influxdata.com/influxdb.key

- name: Ajout du depot influxdata
  apt_repository:
    repo: deb https://repos.influxdata.com/debian buster stable

- name: Installation de Telegraf
  apt:
    name: telegraf

- name: Application de la conf Jitsi pour Telegraf
  template:
    src: telegraf-input-jitsi.conf
    dest: /etc/telegraf/telegraf.d/jitsi.conf
    mode: u=rw,g=r,o=r
  notify:
    - restart telegraf

- name: Application de la conf Telegraf
  template:
    src: telegraf-general.conf.j2
    dest: /etc/telegraf/telegraf.conf
    mode: u=rw,g=r,o=r
  notify:
    - restart telegraf
